<div class="row justify-content-end test">
  <a class="nav-link dropdown-toggle menu-h" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
    Olá, {{entregador.nome}}
  </a>
  <div class="dropdown-menu" aria-labelledby="navbarDropdown">
    <a class="dropdown-item" href="#">Perfil</a>
    <a class="dropdown-item" href="#">Histórico de Pedidos</a>
    <div class="dropdown-divider"></div>
    <a class="dropdown-item" href="#">Ajuda</a>
    <a class="dropdown-item" href="#">Sair</a>
  </div>
</div>

<div class="test row justify-content-end">
  <app-status-button></app-status-button>
</div>
<div class="row mta">
    <div class="col-lg-4 mb15">
        <div class="card-header" style="text-align: center">
            <h2>
                <fa-icon [icon]="faBoxOpen"></fa-icon> Pedidos Disponíveis</h2>
        </div>
        <div class="card scroll">
            <div class="card-body">
                <div class="row justify-content-center mb-4" *ngIf="loader_spinner ">
                    <mat-spinner [diameter]="50"></mat-spinner>
                </div>
                <div class="card-body bg-grey" *ngIf="entregador.status === 'INDISPONÍVEL' && !loader_spinner">
                    <div class="row justify-content-center" >
                        <h3><strong> Você deve ficar disponível para visualizar os pedidos. </strong></h3>
                    </div>
                </div>
                <div class="post" *ngFor="let pedido of pedidos">
                    <!-- Item de cada pedido -->
                    <div class="row card-block">
                        <div class="col-md-12">
                            <div class="card mb-3 clickable" [ngClass]="{ highlight: checkIfCardIsClicked(pedido.id) }" (click)="setcurrentlyClickedCardIndex(pedido.id)">
                                <div class="card-body">
                                    <h3 class="card-title">Pedido</h3>
                                    <hr />
                                    <p class="card-text mb-2">
                                        <fa-icon [icon]="faMapMarkerAlt"></fa-icon>
                                        <strong> Endereço de Retirada:</strong> {{ pedido.loja.logradouro+" - "+pedido.loja.bairro+" - "+pedido.loja.localidade }}
                                    </p>
                                    <p class="card-text">
                                        <fa-icon [icon]="faMapMarkerAlt"></fa-icon>
                                        <strong> Endereço de Entrega:</strong> {{ pedido.cliente.logradouro+" - "+pedido.cliente.bairro+" - "+pedido.cliente.localidade }}
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <button (click)="refresh()" class="btn btn-primary primary-color-bg mt-2">
          <fa-icon [icon]="faSync"></fa-icon> Atualizar Lista
          </button>
    </div>


    <div class="col-lg-8">
        <div class="card">
            <div class="card-header" style="text-align: center">
                <h2>
                    <fa-icon [icon]="faMap"></fa-icon> Mapa</h2>
            </div>
            <div class="card-body bg-grey" *ngIf="currentlyClickedCardIndex !== 0">
                <h3 class="card-title">
                    <strong>Pedido:</strong> {{ currentlyClickedCardIndex }}
                </h3>

                <hr />
                <div class="row justify-content-center">
                    <div class="btn-circle">
                        <strong class="fontSizeCustom" id="time"></strong> MIN
                    </div>
                </div>

                <div class="row justify-content-center">
                    <div class="card">
                         <app-mapa [latitudeDestination]="
                currentlyClickedPedido.cliente.latitude
              " [longitudeDestination]="
                currentlyClickedPedido.cliente.longitude
              " [latitudeOrigin]="
                currentlyClickedPedido.loja.latitude
              " [longitudeOrigin]="
                currentlyClickedPedido.loja.longitude
              " [latitudeWaypoint]="entregador.latitude"
                [longitudeWaypoint]="entregador.longitude"
              ></app-mapa>
                    </div>
                </div>
                <div class="row justify-content-end m10">
                    <button (click)="confirmPedido()" class="btn btn-primary primary-color-bg">
            Confirmar
          </button>
                </div>
            </div>
            <div class="card-body bg-grey" *ngIf="currentlyClickedCardIndex == 0">
                <div class="row justify-content-center">
                    <img class="image img-fluid" src="/assets/map_image.svg" alt="logo" />
                </div>
                <div class="row justify-content-center">
                    <h1><strong> Selecione um pedido para visualizar o mapa </strong></h1>
                </div>
            </div>
        </div>
    </div>
</div>
